<template>
  <nav class="navbar navbar-expand-md navbar-dark bg-dark">
    <div class="container-fluid">
      <router-link @click="resetFormNavigate" class="navbar-brand" to="/">
        <img alt="Bison logo" src="./assets/bison_white.png" id="bison-logo"/>
      </router-link>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
            <router-link to="/how" class="nav-link" active-class="active">{{ $t('app.howitworks') }}</router-link>
          </li>
          <li class="nav-item">
            <router-link to="/how-api" class="nav-link" active-class="active">{{ $t('app.api') }}</router-link>
          </li>
          <li class="nav-item">
            <router-link to="/about" class="nav-link" active-class="active">{{ $t('app.about') }}</router-link>
          </li>
        </ul>
      </div>
    </div>
  </nav>

  <div id="content-view" class="container mt-4 mb-4">
    <router-view/>
  </div>

  <footer class="footer static-bottom mt-auto py-1 bg-light">
    <div class="centered">
      <feedback class="me-auto ms-auto" />
    </div>
    <div class="container-fluid" id="footer-grid">
      <div class="footer-item">
        <a href="https://tib.eu">
          <img loading="lazy" src="./assets/tib_logo.png" alt="TIB logo" class="logo-img img-fluid" />
        </a>
      </div>
      <div class="footer-item">
        <a href="https://www.slub-dresden.de/">
          <img loading="lazy" src="./assets/slub_logo.png" alt="SLUB logo" class="logo-img img-fluid" />
        </a>
      </div>
      <div class="footer-item">
        <a href="https://www.bmbf.de">
          <img loading="lazy" src="./assets/bmbf_logo.png" alt="BMBF logo" class="logo-img img-fluid" />
        </a>
      </div>
      <div class="footer-item">
        <a href="https://doaj.org">
          <img loading="lazy" src="./assets/doaj_logo.png" alt="DOAJ logo" class="logo-img img-fluid" />
        </a>
      </div>
      <div class="footer-item">
        <a href="https://opencitations.net">
          <img loading="lazy" src="./assets/oc_logo.png" alt="OpenCitations logo" class="logo-img img-fluid" />
        </a>
      </div>
      <div class="footer-item">
        <a href="https://openbiblio.social/@oa_bison/">
          <img loading="lazy" src="./assets/mastodon_logo.svg" alt="Mastodon: oa_bison" class="logo-img img-fluid" />
        </a>
      </div>
      <div class="footer-item">
        <a href="https://gitlab.com/TIBHannover/bison">
          <img loading="lazy" src="./assets/gitlab_logo.png" alt="Gitlab logo" class="logo-img img-fluid" />
        </a>
      </div>
    </div>
    <div id="legal" class="centered">
      <router-link class="ms-3 me-3" to="/imprint">{{ $t('app.imprint') }}</router-link>
      <router-link class="ms-3 me-3" to="/accessibility">{{ $t('app.accessibility') }}</router-link>
      <button type="button" class="ms-3 me-3 btn btn-link" id="lang-switcher" @click="switchLocale">{{ nonSelectedLang }}</button>
    </div>
  </footer>
</template>

<script>
import Feedback from '@/components/Feedback.vue'

export default {
  name: 'App',
  components: {
    Feedback
  },
  computed: {
    nonSelectedLang () {
      if (this.$i18n.locale === 'en') {
        return 'Deutsch'
      }
      return 'English'
    }
  },
  methods: {
    resetFormNavigate () {
      // reset the form if bison icon is clicked
      this.$store.commit('RESET_FORM')
    },
    switchLocale () {
      if (this.$i18n.locale === 'en') {
        this.$i18n.locale = 'de'
      } else {
        this.$i18n.locale = 'en'
      }
    }
  }
}
</script>

<style scoped>
.navbar {
  /* fix navbar height in old chrome versions */
  min-height: fit-content;
}
#bison-logo {
  height: 30px;
  vertical-align: top;
}

/* footer grid (responsive) */
#footer-grid {
  display: flex;
  justify-content: space-evenly;
  column-gap: 20px;
  row-gap: 20px;
}
.logo-img {
  max-height: 70px;
  display: block;
  margin: 0 auto
}
.footer-item {
  align-self: center;
  max-width: 130px;
  max-height: 120px;
}
@media only screen and (min-width: 650px) {
  .footer-item {
    flex: 1;
  }
}
@media only screen and (max-width: 650px) {
  #button-row {
    margin-bottom: 20px;
  }
  #footer-grid {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  }
  #legal {
    margin-top: 10px;
  }
}
.centered {
  text-align: center;
}

@media only screen and (min-width: 1000px) {
  #content-view {
    max-width: 1000px;
  }
}
#lang-switcher {
  text-decoration: none;
  padding: 0 0;
  vertical-align: initial;
}
</style>

<style>
html {
  /* overwrite bootstrap smooth scrolling */
  scroll-behavior: auto !important;
}
.flowing-text {
  max-width: 600pt;
}
a {
  text-decoration: none;
}
</style>
